Bug 1287735 - Compute resource is not updated when VM is moved from one vCenter to another
Compute resource is not updated when VM is moved from one vCenter to another
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management (Show other bugs)
6.0.8
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 09:46 EST by Marcel Gazdík
Modified: 2017-01-09 00:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Gazdík 2015-12-02 09:46:38 EST
Description of problem:
  When you move the VM between vCenter the "VMware" functionality like connecting to the console etc. is lost. 

Version-Release number of selected component (if applicable):
6.0.8 and possibly all the newer one.

How reproducible:
Create a VM on one hypervisor, install  RHEL, register it in the satellite using virt-who. You should have the machine in the "Content hosts" and there should be  a Compute resource associated with this machine. Now move the VM to another vCenter and. The virt-who should report the machine, in another vCenter, so the derived subscription has to be changed for this content host. At this moment the associated Compute resource is still not updated for the machine and the VMware functionality doesn't work.


Expected results:
  The relation with Compute resource will be updated when the machine is reported from a different vCenter.


Additional info:
  Customer was able to get the behavior back updating the database table hosts, column computed_resource to the correct id of the corresponding computed resource.
Comment 2 Bryan Kearney 2016-08-04 16:12:41 EDT
Moving 6.2 bugs out to sat-backlog.

Note You need to log in before you can comment on or make changes to this bug.